Skip to main content
POST
/
api
/
v2
/
channels
/
accounts
/
{accountId}
/
publish-options
/
{field}
/
values
Create Publish Option Value
curl --request POST \
  --url https://aitoearn.cn/api/v2/channels/accounts/{accountId}/publish-options/{field}/values \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '{}'
{
  "code": 0,
  "message": "Request succeeded",
  "data": {
    "field": "string",
    "valueType": "list",
    "item": {}
  }
}

Authorizations

X-Api-Key
string
header
required

Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".

Path Parameters

accountId
string
required

Channel account ID. It must be an account authorized by the current user, and the platform to which the account belongs should be consistent with the platform queried in the "Platform Publishing Options" interface.

field
string
required

The publishing options field to create a value for. The value comes from the data[n].field returned by the "Platform Publish Options" interface, and the return item must contain createSchema.

Body

application/json

Create the JSON parameters required to post option values. The specific fields are not fixed structures and must be based on the createSchema in the item returned by the "Platform Publish Options" interface; for example, Pinterest's boardId field will return the schema required to create a Board.

Create the JSON parameters required to post option values. The specific fields are not fixed structures and must be based on the createSchema in the return item of the "Platform Publishing Options" interface.

Response

200 - application/json

The request has been processed by the service. Business success is determined by whether the response body has code === 0.

code
integer
required

Business status code. 0 means success; non-zero means a business error.

message
string
required

Response message.

data
object
requestId
string

Request ID.

timestamp
integer

Error response timestamp in Unix milliseconds.